Index: /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 3764)
@@ -54,5 +54,4 @@
     public DataTableView() {
       InitializeComponent();
-      Caption = "DataTable";
       valuesRowsTable = new Dictionary<IObservableList<double>, DataRow>();
       invisibleSeries = new List<Series>();
@@ -92,7 +91,5 @@
       chart.Titles.Clear();
       chart.Series.Clear();
-      Caption = "DataTable";
       if (Content != null) {
-        Caption = Content.Name + " (" + Content.GetType().Name + ")";
         chart.Titles.Add(new Title(Content.Name, Docking.Top));
         foreach (DataRow row in Content.Rows)
@@ -106,5 +103,4 @@
       SetEnabledStateOfControls();
     }
-
     private void SetEnabledStateOfControls() {
       chart.Enabled = Content != null;
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemCollectionView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemCollectionView.cs	(revision 3764)
@@ -57,5 +57,4 @@
 
     protected override void OnContentChanged() {
-      Caption = "Checked Item Collection";
       base.OnContentChanged();
     }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemListView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/CheckedItemListView.cs	(revision 3764)
@@ -59,5 +59,4 @@
 
     protected override void OnContentChanged() {
-      Caption = "Checked Item List";
       base.OnContentChanged();
     }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/Clipboard.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/Clipboard.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/Clipboard.Designer.cs	(revision 3764)
@@ -197,5 +197,4 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Caption = "Clipboard";
       this.Controls.Add(this.sortDescendingButton);
       this.Controls.Add(this.sortAscendingButton);
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/EngineView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/EngineView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/EngineView.Designer.cs	(revision 3764)
@@ -74,5 +74,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.logView.Caption = "LogView";
       this.logView.Content = null;
       this.logView.Location = new System.Drawing.Point(0, 26);
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.cs	(revision 3764)
@@ -58,5 +58,4 @@
     public ItemArrayView() {
       InitializeComponent();
-      Caption = "Item Array";
     }
 
@@ -85,5 +84,4 @@
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      Caption = "Item Array";
       while (itemsListView.Items.Count > 0) RemoveListViewItem(itemsListView.Items[0]);
       viewHost.Content = null;
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs	(revision 3764)
@@ -47,5 +47,4 @@
     public ItemCollectionView() {
       InitializeComponent();
-      Caption = "Item Collection";
     }
 
@@ -65,5 +64,4 @@
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      Caption = "Item Collection";
       while (itemsListView.Items.Count > 0) RemoveListViewItem(itemsListView.Items[0]);
       viewHost.Content = null;
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.cs	(revision 3764)
@@ -58,5 +58,4 @@
     public ItemListView() {
       InitializeComponent();
-      Caption = "Item List";
     }
 
@@ -89,9 +88,7 @@
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      Caption = "Item List";
       while (itemsListView.Items.Count > 0) RemoveListViewItem(itemsListView.Items[0]);
       viewHost.Content = null;
       if (Content != null) {
-        Caption += " (" + Content.GetType().Name + ")";
         foreach (T item in Content)
           AddListViewItem(CreateListViewItem(item));
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemSetView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemSetView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemSetView.cs	(revision 3764)
@@ -43,10 +43,8 @@
       listViewItemDictionary = new Dictionary<T, ListViewItem>();
       InitializeComponent();
-      Caption = "Item Set";
     }
 
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      Caption = "Item Set";
       if (Content != null)
         Caption += " (" + Content.GetType().Name + ")";
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemView.cs	(revision 3764)
@@ -40,14 +40,4 @@
     public ItemView() {
       InitializeComponent();
-      Caption = "View";
-    }
-
-    protected override void OnContentChanged() {
-      base.OnContentChanged();
-      if (Content == null) {
-        Caption = "View";
-      } else {
-        Caption = Content.ItemName;
-      }
     }
   }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/LogView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/LogView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/LogView.cs	(revision 3764)
@@ -47,5 +47,4 @@
     public LogView() {
       InitializeComponent();
-      Caption = "LogView";
     }
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.cs	(revision 3764)
@@ -42,5 +42,4 @@
       listViewItemDictionary = new Dictionary<T, ListViewItem>();
       InitializeComponent();
-      Caption = "Named Item Collection";
     }
 
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemView.cs	(revision 3764)
@@ -41,5 +41,4 @@
     public NamedItemView() {
       InitializeComponent();
-      Caption = "NamedItem";
       errorProvider.SetIconAlignment(nameTextBox, ErrorIconAlignment.MiddleLeft);
       errorProvider.SetIconPadding(nameTextBox, 2);
@@ -60,13 +59,16 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "NamedItem";
         nameTextBox.Text = string.Empty;
         descriptionTextBox.Text = string.Empty;
         toolTip.SetToolTip(descriptionTextBox, string.Empty);
+        if (ViewAttribute.HasViewAttribute(this.GetType()))
+          this.Caption = ViewAttribute.GetViewName(this.GetType());
+        else
+          this.Caption = "NamedItem View";
       } else {
-        Caption = Content.Name + " (" + Content.GetType().Name + ")";
         nameTextBox.Text = Content.Name;
         descriptionTextBox.Text = Content.Description;
         toolTip.SetToolTip(descriptionTextBox, Content.Description);
+        Caption = Content.Name;
       }
       SetEnabledStateOfControls();
@@ -92,6 +94,8 @@
       if (InvokeRequired)
         Invoke(new EventHandler(Content_NameChanged), sender, e);
-      else
+      else {
         nameTextBox.Text = Content.Name;
+        Caption = Content.Name;
+      }
     }
     protected virtual void Content_DescriptionChanged(object sender, EventArgs e) {
@@ -106,6 +110,11 @@
     protected virtual void nameTextBox_Validating(object sender, CancelEventArgs e) {
       if ((Content != null) && (Content.CanChangeName)) {
+        if (string.IsNullOrEmpty(nameTextBox.Text)) {
+          e.Cancel = true;
+          errorProvider.SetError(nameTextBox, "Name cannot be empty");
+          nameTextBox.SelectAll();
+          return;
+        }
         Content.Name = nameTextBox.Text;
-
         // check if variable name was set successfully
         if (!Content.Name.Equals(nameTextBox.Text)) {
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs	(revision 3764)
@@ -36,5 +36,4 @@
     public OperatorCollectionView() {
       InitializeComponent();
-      Caption = "Operator Collection";
       itemsGroupBox.Text = "Operators";
     }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorGraphView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorGraphView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorGraphView.Designer.cs	(revision 3764)
@@ -81,5 +81,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.operatorsView.Caption = "Operator Set";
       this.operatorsView.Content = null;
       this.operatorsView.Location = new System.Drawing.Point(3, 3);
@@ -125,5 +124,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.operatorTreeView.Caption = "Operator";
       this.operatorTreeView.Content = null;
       this.operatorTreeView.Location = new System.Drawing.Point(6, 19);
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorGraphView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorGraphView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorGraphView.cs	(revision 3764)
@@ -48,5 +48,4 @@
     public OperatorGraphView() {
       InitializeComponent();
-      Caption = "Operator Graph";
     }
 
@@ -75,9 +74,7 @@
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      Caption = "Operator Graph";
       operatorsView.Content = null;
       operatorTreeView.Content = null;
       if (Content != null) {
-        Caption = Content.ItemName + " (" + Content.GetType().Name + ")";
         operatorsView.Content = Content.Operators;
         MarkInitialOperator();
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorListView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorListView.cs	(revision 3764)
@@ -36,5 +36,4 @@
     public OperatorListView() {
       InitializeComponent();
-      Caption = "Operator List";
       itemsGroupBox.Text = "Operators";
     }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorSetView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorSetView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorSetView.cs	(revision 3764)
@@ -36,5 +36,4 @@
     public OperatorSetView() {
       InitializeComponent();
-      Caption = "Operator Set";
       itemsGroupBox.Text = "Operators";
     }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs	(revision 3764)
@@ -70,5 +70,4 @@
       operatorNodeTable = new Dictionary<IOperator, List<TreeNode>>();
       parametersOperatorTable = new Dictionary<IKeyedItemCollection<string, IParameter>, IOperator>();
-      Caption = "Operator";
     }
 
@@ -81,7 +80,5 @@
       if (graphTreeView.Nodes.Count > 0)
         RemoveTreeNode(graphTreeView.Nodes[0]);
-      Caption = "Operator";
       if (Content != null) {
-        Caption = Content.Name + " (" + Content.GetType().Name + ")";
         TreeNode root = new TreeNode();
         FillTreeNode(root, Content);
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs	(revision 3764)
@@ -36,5 +36,4 @@
     public ParameterCollectionView() {
       InitializeComponent();
-      Caption = "ParameterCollection";
       itemsGroupBox.Text = "Parameters";
     }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterizedNamedItemView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterizedNamedItemView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterizedNamedItemView.Designer.cs	(revision 3764)
@@ -64,5 +64,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.parameterCollectionView.Caption = "ParameterCollection";
       this.parameterCollectionView.Content = null;
       this.parameterCollectionView.Location = new System.Drawing.Point(0, 52);
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeListView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeListView.cs	(revision 3764)
@@ -33,5 +33,4 @@
     public ScopeListView() {
       InitializeComponent();
-      Caption = "ScopeList";
       itemsGroupBox.Text = "Scopes";
     }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeView.Designer.cs	(revision 3764)
@@ -111,5 +111,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.variableCollectionView.Caption = "VariableCollection";
       this.variableCollectionView.Content = null;
       this.variableCollectionView.Location = new System.Drawing.Point(3, 3);
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ScopeView.cs	(revision 3764)
@@ -53,5 +53,4 @@
     public ScopeView() {
       InitializeComponent();
-      Caption = "Scope";
       scopeNodeTable = new Dictionary<IScope, TreeNode>();
       subScopesScopeTable = new Dictionary<ScopeList, IScope>();
@@ -68,7 +67,5 @@
       scopesTreeView.Nodes.Clear();
       variableCollectionView.Content = null;
-      Caption = "Scope";
       if (Content != null) {
-        Caption = Content.Name + " (" + Content.ItemName + ")";
         scopesTreeView.Nodes.Add(CreateTreeNode(Content));
       }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs	(revision 3764)
@@ -36,5 +36,4 @@
     public ValueParameterCollectionView() {
       InitializeComponent();
-      Caption = "ValueParameterCollection";
       itemsGroupBox.Text = "Parameters";
     }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/VariableCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/VariableCollectionView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/VariableCollectionView.cs	(revision 3764)
@@ -33,5 +33,4 @@
     public VariableCollectionView() {
       InitializeComponent();
-      Caption = "VariableCollection";
       itemsGroupBox.Text = "Variables";
     }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.cs	(revision 3764)
@@ -48,5 +48,4 @@
     public VariableValueView() {
       InitializeComponent();
-      Caption = "Variable";
     }
 
@@ -72,8 +71,6 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "Variable";
         viewHost.Content = null;
       } else {
-        Caption = Content.Name + " (" + Content.GetType().Name + ")";
         viewHost.ViewType = null;
         viewHost.Content = Content.Value;
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.cs	(revision 3764)
@@ -51,5 +51,4 @@
     public VariableView() {
       InitializeComponent();
-      Caption = "Variable";
     }
 
@@ -75,9 +74,7 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "Variable";
         dataTypeTextBox.Text = "-";
         viewHost.Content = null;
       } else {
-        Caption = Content.Name + " (" + Content.GetType().Name + ")";
         dataTypeTextBox.Text = Content.Value == null ? "-" : Content.Value.GetType().GetPrettyName();
         viewHost.ViewType = null;
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/BoolValueView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/BoolValueView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/BoolValueView.cs	(revision 3764)
@@ -44,5 +44,4 @@
     public BoolValueView() {
       InitializeComponent();
-      Caption = "BoolValue View";
     }
 
@@ -59,8 +58,6 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "BoolValue View";
         valueCheckBox.Checked = false;
       } else {
-        Caption = Content.ToString() + " (" + Content.GetType().Name + ")";
         valueCheckBox.Checked = Content.Value;
       }
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/ComparisonView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/ComparisonView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/ComparisonView.cs	(revision 3764)
@@ -44,5 +44,4 @@
     public ComparisonView() {
       InitializeComponent();
-      Caption = "Comparison View";
       valueComboBox.DataSource = Enum.GetValues(typeof(ComparisonType));
     }
@@ -60,11 +59,9 @@
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      if (Content == null) {
-        Caption = "Comparison View";
+      if (Content == null)
         valueComboBox.Enabled = false;
-      } else {
-        Caption = Content.ToString() + " (" + Content.GetType().Name + ")";
+      else
         valueComboBox.SelectedItem = Content.Value;
-      }
+
       SetEnabledStateOfControls();
     }
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.cs	(revision 3764)
@@ -47,5 +47,4 @@
     public StringConvertibleArrayView() {
       InitializeComponent();
-      Caption = "StringConvertibleArray View";
       errorProvider.SetIconAlignment(lengthTextBox, ErrorIconAlignment.MiddleLeft);
       errorProvider.SetIconPadding(lengthTextBox, 2);
@@ -67,12 +66,9 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "StringConvertibleArray View";
         lengthTextBox.Text = "";
         dataGridView.Rows.Clear();
         dataGridView.Columns.Clear();
-      } else {
-        Caption = "StringConvertibleArray (" + Content.GetType().Name + ")";
+      } else
         UpdateData();
-      }
       SetEnabledStateOfControls();
     }
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.cs	(revision 3764)
@@ -53,5 +53,4 @@
     public StringConvertibleMatrixView() {
       InitializeComponent();
-      Caption = "StringConvertibleMatrix View";
       errorProvider.SetIconAlignment(rowsTextBox, ErrorIconAlignment.MiddleLeft);
       errorProvider.SetIconPadding(rowsTextBox, 2);
@@ -80,5 +79,4 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "StringConvertibleMatrix View";
         rowsTextBox.Text = "";
         columnsTextBox.Text = "";
@@ -86,8 +84,7 @@
         dataGridView.Columns.Clear();
         virtualRowIndizes = new int[0];
-      } else {
-        Caption = "StringConvertibleMatrix (" + Content.GetType().Name + ")";
+      } else 
         UpdateData();
-      }
+
       SetEnabledStateOfControls();
     }
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.cs	(revision 3764)
@@ -45,5 +45,4 @@
     public StringConvertibleValueView() {
       InitializeComponent();
-      Caption = "StringConvertibleValue View";
       errorProvider.SetIconAlignment(valueTextBox, ErrorIconAlignment.MiddleLeft);
       errorProvider.SetIconPadding(valueTextBox, 2);
@@ -63,10 +62,8 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "StringConvertibleValue View";
         valueTextBox.Text = string.Empty;
-      } else {
-        Caption = Content.GetValue() + " (" + Content.GetType().Name + ")";
+      } else
         valueTextBox.Text = Content.GetValue();
-      }
+
       SetEnabledStateOfControls();
     }
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding.Views/3.3/PermutationTypeView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding.Views/3.3/PermutationTypeView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding.Views/3.3/PermutationTypeView.cs	(revision 3764)
@@ -45,5 +45,4 @@
     public ComparisonView() {
       InitializeComponent();
-      Caption = "PermutationType View";
       valueComboBox.DataSource = Enum.GetValues(typeof(PermutationTypes));
     }
@@ -65,11 +64,8 @@
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      if (Content == null) {
-        Caption = "PermutationType View";
+      if (Content == null)
         valueComboBox.Enabled = false;
-      } else {
-        Caption = Content.ToString() + " (" + Content.GetType().Name + ")";
+      else
         valueComboBox.SelectedItem = Content.Value;
-      }
       SetEnabledStateOfControls();
     }
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/GraphicalSymbolicExpressionTreeView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/GraphicalSymbolicExpressionTreeView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/GraphicalSymbolicExpressionTreeView.cs	(revision 3764)
@@ -45,5 +45,4 @@
       : base() {
       InitializeComponent();
-      Caption = "Graphical SymbolicExpressionTree View";
     }
 
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/SymbolicExpressionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/SymbolicExpressionView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/SymbolicExpressionView.cs	(revision 3764)
@@ -42,15 +42,13 @@
     public SymbolicExpressionView() {
       InitializeComponent();
-      Caption = "SymbolicExpression View";
     }
 
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      if (Content == null) {
-        Caption = "SymbolicExpression View";
+      if (Content == null)
         textBox.Text = string.Empty;
-      } else {
+      else
         textBox.Text = SymbolicExpression(Content.Root, 0);
-      }
+
       SetEnabledStateOfControls();
     }
Index: /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/View.cs
===================================================================
--- /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/View.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/View.cs	(revision 3764)
@@ -35,4 +35,8 @@
       this.closeReason = CloseReason.None;
       this.readOnly = false;
+      if (ViewAttribute.HasViewAttribute(this.GetType()))
+        this.Caption = ViewAttribute.GetViewName(this.GetType());
+      else
+        this.Caption = "View";
     }
 
Index: /trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.Designer.cs	(revision 3764)
@@ -211,5 +211,4 @@
       // parameterCollectionView1
       // 
-      this.parameterCollectionView.Caption = "ParameterCollection";
       this.parameterCollectionView.Content = null;
       this.parameterCollectionView.Dock = System.Windows.Forms.DockStyle.Fill;
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphView.Designer.cs	(revision 3764)
@@ -76,5 +76,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.graphVisualizationInfoView.Caption = null;
       this.graphVisualizationInfoView.Content = null;
       this.graphVisualizationInfoView.Location = new System.Drawing.Point(3, 30);
@@ -248,5 +247,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.detailsViewHost.Caption = null;
       this.detailsViewHost.Content = null;
       this.detailsViewHost.Location = new System.Drawing.Point(3, 16);
Index: /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphView.cs	(revision 3764)
@@ -42,6 +42,5 @@
     public OperatorGraphView() {
       InitializeComponent();
-      Caption = "Operator Graph Visualization";
-
+ 
       this.graphVisualizationInfoView.Controller.OnShowContextMenu += new EventHandler<EntityMenuEventArgs>(Controller_OnShowContextMenu);
       this.graphVisualizationInfoView.Controller.Model.Selection.OnNewSelection += new EventHandler(Controller_SelectionChanged);
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.Designer.cs	(revision 3764)
@@ -97,5 +97,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.parameterCollectionView.Caption = "ParameterCollection";
       this.parameterCollectionView.Content = null;
       this.parameterCollectionView.Location = new System.Drawing.Point(6, 6);
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/CheckedMultiOperatorView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/CheckedMultiOperatorView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/CheckedMultiOperatorView.Designer.cs	(revision 3764)
@@ -97,5 +97,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.operatorListView.Caption = "Operator List";
       this.operatorListView.Content = null;
       this.operatorListView.Location = new System.Drawing.Point(6, 6);
@@ -120,5 +119,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.parameterCollectionView.Caption = "ParameterCollection";
       this.parameterCollectionView.Content = null;
       this.parameterCollectionView.Location = new System.Drawing.Point(6, 6);
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.Designer.cs	(revision 3764)
@@ -97,5 +97,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.operatorListView.Caption = "Operator List";
       this.operatorListView.Content = null;
       this.operatorListView.Location = new System.Drawing.Point(6, 6);
@@ -120,5 +119,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.parameterCollectionView.Caption = "ParameterCollection";
       this.parameterCollectionView.Content = null;
       this.parameterCollectionView.Location = new System.Drawing.Point(6, 6);
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.Designer.cs	(revision 3764)
@@ -97,5 +97,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.collectedValuesView.Caption = "ParameterCollection";
       this.collectedValuesView.Content = null;
       this.collectedValuesView.Location = new System.Drawing.Point(6, 6);
@@ -120,5 +119,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.parameterCollectionView.Caption = "ParameterCollection";
       this.parameterCollectionView.Content = null;
       this.parameterCollectionView.Location = new System.Drawing.Point(6, 6);
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/AlgorithmView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/AlgorithmView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/AlgorithmView.Designer.cs	(revision 3764)
@@ -115,5 +115,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.parameterCollectionView.Caption = "ParameterCollection";
       this.parameterCollectionView.Content = null;
       this.parameterCollectionView.Location = new System.Drawing.Point(6, 6);
@@ -198,5 +197,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.resultsView.Caption = "ResultsCollection";
       this.resultsView.Content = null;
       this.resultsView.Location = new System.Drawing.Point(6, 6);
@@ -221,5 +219,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.runsView.Caption = "RunCollection";
       this.runsView.Content = null;
       this.runsView.Location = new System.Drawing.Point(6, 6);
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/BatchRunView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/BatchRunView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/BatchRunView.Designer.cs	(revision 3764)
@@ -170,5 +170,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.runsView.Caption = "RunCollection";
       this.runsView.Content = null;
       this.runsView.Location = new System.Drawing.Point(6, 6);
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/EngineAlgorithmView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/EngineAlgorithmView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/EngineAlgorithmView.Designer.cs	(revision 3764)
@@ -199,5 +199,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.engineViewHost.Caption = null;
       this.engineViewHost.Content = null;
       this.engineViewHost.Location = new System.Drawing.Point(6, 33);
@@ -247,5 +246,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.operatorGraphViewHost.Caption = null;
       this.operatorGraphViewHost.Content = null;
       this.operatorGraphViewHost.Location = new System.Drawing.Point(3, 33);
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/ExperimentView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/ExperimentView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/ExperimentView.Designer.cs	(revision 3764)
@@ -102,5 +102,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.optimizerListView.Caption = "OptimizerList";
       this.optimizerListView.Content = null;
       this.optimizerListView.Location = new System.Drawing.Point(6, 6);
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/OptimizerListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/OptimizerListView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/OptimizerListView.cs	(revision 3764)
@@ -38,5 +38,4 @@
     public OptimizerListView() {
       InitializeComponent();
-      Caption = "OptimizerList";
       itemsGroupBox.Text = "Optimizers";
     }
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultCollectionView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultCollectionView.cs	(revision 3764)
@@ -40,5 +40,4 @@
     public ResultCollectionView() {
       InitializeComponent();
-      Caption = "ResultCollection";
       itemsGroupBox.Text = "Results";
       base.ReadOnly = true;
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultView.cs	(revision 3764)
@@ -54,5 +54,4 @@
     public ResultView() {
       InitializeComponent();
-      Caption = "Result";
       base.ReadOnly = true;
     }
@@ -79,9 +78,7 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "Result";
         dataTypeTextBox.Text = "-";
         viewHost.Content = null;
       } else {
-        Caption = Content.Name + " (" + Content.GetType().Name + ")";
         dataTypeTextBox.Text = Content.DataType.GetPrettyName();
         viewHost.ViewType = null;
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBubbleChartView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBubbleChartView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionBubbleChartView.cs	(revision 3764)
@@ -57,5 +57,4 @@
     public RunCollectionBubbleChartView() {
       InitializeComponent();
-      Caption = "Run Collection Bubble Chart";
 
       this.categoricalMapping = new Dictionary<int, Dictionary<object, double>>();
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionConstraintCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionConstraintCollectionView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionConstraintCollectionView.cs	(revision 3764)
@@ -38,5 +38,4 @@
     public RunCollectionConstraintCollectionView() {
       InitializeComponent();
-      Caption = "RunCollectionConstraintCollection";
       itemsGroupBox.Text = "RunCollection Constraints";
     }
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionTabularView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionTabularView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionTabularView.cs	(revision 3764)
@@ -39,5 +39,4 @@
     public RunCollectionTabularView() {
       InitializeComponent();
-      Caption = "Run Collection";
       this.dataGridView.RowHeaderMouseDoubleClick += new DataGridViewCellMouseEventHandler(dataGridView_RowHeaderMouseDoubleClick);
       base.ReadOnly = true;
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionView.Designer.cs	(revision 3764)
@@ -190,5 +190,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.viewHost.Caption = null;
       this.viewHost.Content = null;
       this.viewHost.Location = new System.Drawing.Point(6, 19);
@@ -245,5 +244,4 @@
       // runCollectionConstraintCollectionView
       // 
-      this.runCollectionConstraintCollectionView.Caption = "Filter";
       this.runCollectionConstraintCollectionView.Content = null;
       this.runCollectionConstraintCollectionView.Dock = System.Windows.Forms.DockStyle.Fill;
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionView.cs	(revision 3764)
@@ -52,5 +52,4 @@
     public RunCollectionView() {
       InitializeComponent();
-      Caption = "Run Collection";
       itemsGroupBox.Text = "Runs";
     }
@@ -95,5 +94,4 @@
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      Caption = "Run Collection";
       while (itemsListView.Items.Count > 0) RemoveListViewItem(itemsListView.Items[0]);
       viewHost.Content = null;
@@ -106,5 +104,4 @@
           runCollectionConstraintCollectionView.ReadOnly = itemsListView.Items.Count == 0;
         }
-        Caption += " (" + Content.GetType().Name + ")";
         foreach (IRun item in Content) {
           AddListViewItem(CreateListViewItem(item));
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunView.Designer.cs	(revision 3764)
@@ -173,5 +173,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.viewHost.Caption = null;
       this.viewHost.Content = null;
       this.viewHost.Location = new System.Drawing.Point(6, 19);
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunView.cs	(revision 3764)
@@ -55,5 +55,4 @@
     public RunView() {
       InitializeComponent();
-      Caption = "Run";
       base.ReadOnly = true;
     }
@@ -79,10 +78,7 @@
       viewHost.ViewType = null;
       viewHost.Content = null;
-      if (Content == null)
-        Caption = "Run";
-      else {
-        Caption = Content.Name + " (" + Content.GetType().Name + ")";
+      if (Content != null)
         UpdateColorPictureBox();
-      }
+
       SetEnabledStateOfControls();
     }
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/UserDefinedAlgorithmView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/UserDefinedAlgorithmView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/UserDefinedAlgorithmView.Designer.cs	(revision 3764)
@@ -130,5 +130,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.globalScopeView.Caption = "Scope";
       this.globalScopeView.Content = null;
       this.globalScopeView.Location = new System.Drawing.Point(3, 3);
Index: /trunk/sources/HeuristicLab.Optimizer/3.3/StartPage.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimizer/3.3/StartPage.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Optimizer/3.3/StartPage.cs	(revision 3764)
@@ -37,5 +37,4 @@
     public StartPage() {
       InitializeComponent();
-      Caption = "Start Page";
     }
 
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterView.cs	(revision 3764)
@@ -53,5 +53,4 @@
     public ConstrainedValueParameterView() {
       InitializeComponent();
-      Caption = "ConstrainedValueParameter";
       valueComboBoxItems = new List<T>();
     }
@@ -84,9 +83,7 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "ConstrainedValueParameter";
         viewHost.Content = null;
         FillValueComboBox();
       } else {
-        Caption = Content.Name + " (" + Content.GetType().Name + ")";
         FillValueComboBox();
         viewHost.ViewType = null;
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/LookupParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/LookupParameterView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/LookupParameterView.cs	(revision 3764)
@@ -49,5 +49,4 @@
     public LookupParameterView() {
       InitializeComponent();
-      Caption = "LookupParameter";
     }
 
@@ -72,11 +71,9 @@
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      if (Content == null) {
-        Caption = "LookupParameter";
+      if (Content == null)
         actualNameTextBox.Text = "-";
-      } else {
-        Caption = Content.Name + " (" + Content.GetType().Name + ")";
+      else
         actualNameTextBox.Text = Content.ActualName;
-      }
+
       SetEnabledStateOfControls();
     }
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ParameterView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ParameterView.cs	(revision 3764)
@@ -48,16 +48,13 @@
     public ParameterView() {
       InitializeComponent();
-      Caption = "Parameter";
     }
 
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      if (Content == null) {
-        Caption = "Parameter";
+      if (Content == null)
         dataTypeTextBox.Text = "-";
-      } else {
-        Caption = Content.Name + " (" + Content.GetType().Name + ")";
+      else
         dataTypeTextBox.Text = Content.DataType.GetPrettyName();
-      }
+
       SetEnabledStateOfControls();
     }
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ScopeTreeLookupParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ScopeTreeLookupParameterView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ScopeTreeLookupParameterView.cs	(revision 3764)
@@ -49,5 +49,4 @@
     public ScopeTreeLookupParameterView() {
       InitializeComponent();
-      Caption = "ScopeTreeLookupParameter";
     }
 
@@ -75,9 +74,7 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "ScopeTreeLookupParameter";
         actualNameTextBox.Text = string.Empty;
         depthTextBox.Text = string.Empty;
       } else {
-        Caption = Content.Name + " (" + Content.GetType().Name + ")";
         actualNameTextBox.Text = Content.ActualName;
         depthTextBox.Text = Content.Depth.ToString();
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueLookupParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueLookupParameterView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueLookupParameterView.cs	(revision 3764)
@@ -53,5 +53,4 @@
     public ValueLookupParameterView() {
       InitializeComponent();
-      Caption = "ValueLookupParameter";
     }
 
@@ -79,9 +78,7 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "ValueLookupParameter";
         actualNameTextBox.Text = "-";
         viewHost.Content = null;
       } else {
-        Caption = Content.Name + " (" + Content.GetType().Name + ")";
         actualNameTextBox.Text = Content.ActualName;
         viewHost.ViewType = null;
Index: /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueParameterView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueParameterView.cs	(revision 3764)
@@ -54,5 +54,4 @@
     public ValueParameterView() {
       InitializeComponent();
-      Caption = "ValueParameter";
     }
 
@@ -78,9 +77,7 @@
       base.OnContentChanged();
       if (Content == null) {
-        Caption = "ValueParameter";
         clearValueButton.Visible = true;
         viewHost.Content = null;
       } else {
-        Caption = Content.Name + " (" + Content.GetType().Name + ")";
         clearValueButton.Visible = !(Content is ValueParameter<T>);
         viewHost.ViewType = null;
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/LineChartView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/LineChartView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/LineChartView.cs	(revision 3764)
@@ -51,5 +51,4 @@
       : base() {
       InitializeComponent();
-      this.Caption = "Line Chart View";
       //configure axis
       this.chart.ChartAreas[0].CursorX.IsUserSelectionEnabled = true;
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/ScatterPlotView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/ScatterPlotView.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/ScatterPlotView.cs	(revision 3764)
@@ -38,5 +38,4 @@
   [Content(typeof(DataAnalysisSolution), true)]
   public partial class ScatterPlotView : AsynchronousContentView {
-    private const string DEFAULT_CAPTION = "Scatter Plot";
     private const string ALL_SERIES = "All Samples";
     private const string TRAINING_SERIES = "Training Samples";
@@ -51,5 +50,4 @@
       : base() {
       InitializeComponent();
-      this.Caption = DEFAULT_CAPTION;
 
       this.chart.Series.Add(ALL_SERIES);
@@ -110,11 +108,9 @@
       else {
         if (Content != null) {
-          this.Caption = Content.ItemName + " " + DEFAULT_CAPTION;
           this.UpdateSeries();
           if (!this.chart.Series.Any(s => s.Points.Count > 0))
             this.ToggleSeriesData(this.chart.Series[TRAINING_SERIES]);
-        } else {
-          this.Caption = DEFAULT_CAPTION;
-          this.ClearChart();
+          else
+            this.ClearChart();
         }
       }
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SimplifiedSymbolicExpressionModelView.designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SimplifiedSymbolicExpressionModelView.designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SimplifiedSymbolicExpressionModelView.designer.cs	(revision 3764)
@@ -66,5 +66,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.viewHost.Caption = null;
       this.viewHost.Content = null;
       this.viewHost.Location = new System.Drawing.Point(6, 19);
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SymbolicExpressionModelView.designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SymbolicExpressionModelView.designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SymbolicExpressionModelView.designer.cs	(revision 3764)
@@ -66,5 +66,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.viewHost.Caption = null;
       this.viewHost.Content = null;
       this.viewHost.Location = new System.Drawing.Point(6, 19);
Index: /trunk/sources/HeuristicLab.Problems.OneMax.Views/3.3/OnemaxSolutionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.OneMax.Views/3.3/OnemaxSolutionView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Problems.OneMax.Views/3.3/OnemaxSolutionView.Designer.cs	(revision 3764)
@@ -59,5 +59,4 @@
       // qualityView
       // 
-      this.qualityView.Caption = null;
       this.qualityView.Content = null;
       this.qualityView.Dock = System.Windows.Forms.DockStyle.Fill;
@@ -103,5 +102,4 @@
       // qualityView
       // 
-      this.qualityView.Caption = null;
       this.qualityView.Content = null;
       this.qualityView.Dock = System.Windows.Forms.DockStyle.Fill;
@@ -126,5 +124,4 @@
       // binaryVectorView
       // 
-      this.binaryVectorView.Caption = null;
       this.binaryVectorView.Content = null;
       this.binaryVectorView.Dock = System.Windows.Forms.DockStyle.Fill;
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions.Views/3.3/SingleObjectiveTestFunctionSolutionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions.Views/3.3/SingleObjectiveTestFunctionSolutionView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions.Views/3.3/SingleObjectiveTestFunctionSolutionView.Designer.cs	(revision 3764)
@@ -71,5 +71,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.qualityView.Caption = null;
       this.qualityView.Content = null;
       this.qualityView.Location = new System.Drawing.Point(6, 19);
@@ -133,5 +132,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.realVectorView.Caption = null;
       this.realVectorView.Content = null;
       this.realVectorView.Location = new System.Drawing.Point(6, 19);
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/PathTSPTourView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/PathTSPTourView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/PathTSPTourView.Designer.cs	(revision 3764)
@@ -132,5 +132,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.tourViewHost.Caption = null;
       this.tourViewHost.Content = null;
       this.tourViewHost.Location = new System.Drawing.Point(6, 19);
@@ -177,5 +176,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.qualityViewHost.Caption = null;
       this.qualityViewHost.Content = null;
       this.qualityViewHost.Location = new System.Drawing.Point(6, 19);
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TravelingSalesmanProblemView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TravelingSalesmanProblemView.Designer.cs	(revision 3763)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TravelingSalesmanProblemView.Designer.cs	(revision 3764)
@@ -109,5 +109,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.parameterCollectionView.Caption = "ParameterCollection";
       this.parameterCollectionView.Content = null;
       this.parameterCollectionView.Location = new System.Drawing.Point(6, 6);
@@ -133,5 +132,4 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.pathTSPTourView.Caption = "View";
       this.pathTSPTourView.Content = null;
       this.pathTSPTourView.Location = new System.Drawing.Point(6, 6);
